Create Customer

Create a new customer entity. A successful result will return the customer object which includes the id of the customer. In the Admin UI, this is referred to as a customer's Stax Bill ID. This unique ID should be stored in order to quickly recall a customer's information. To store an internal reference id of sorts across platforms, reference is the typical field to use. It is possible to create a blank customer with no information, although it is strongly recommended to use at least some combination of firstName, lastName, companyName, and primaryEmail.

🚧

If your account is configured to use more than one currency, you must specify the currency of the customer at the time of creation.

  • If no value is set, the account default will be used.
  • This value can not be edited after the customer has been created.
  • A customer can only have one currency.

More information on customers can be found in the general documentation .

Additional behaviours of note:

Body Params
string

The company name associated with this customer. [Max Length: 50 characters]

string

This is commonly used to hold a reference/ID from an external system so users can match the Stax Bill Customer record. This field can be renamed in the Admin UI to facilitate identification for your users; by default, it is labelled "Customer ID". There is no uniqueness enforcement in this field. [Max Length: 255 characters]

string

Account default will be selected unless otherwise specified. Cannot be changed

string

The first name of the customer. [Max Length: 50 characters]

string

The middle name of the customer. [Max Length: 50 characters]

string

The last name of the customer. [Max Length: 50 characters]

string

The name suffix of the customer, for example Jr. or Sr. [Max Length: 50 characters]

string
enum

The prefix-title of the customer.

Allowed:
string

Pre-set a username for self-service portal. [Read Only After Set; Max Length: 50 characters; Must be in the form of an email address]

billing
object

Customer Billing address, must be a valid address and may be used for taxation calculation depending on tax settings.

shipping
object

Customer Billing address, must be a valid address and may be used for taxation calculation depending on tax settings.

addressPreference
object

Customer Shipping Address preferences. Including additional fields and whether to use billing instead of an additional shipping address. .

string

The primary contact email for the customer. Allows multiple entries in the format "[email protected]; [email protected]; [email protected]". Invoices and other email communications will be sent to this address(s). [Max Length: 255 characters]

string

The secondary contact email for the customer. Allows multiple entries in the format "[email protected]; [email protected]; [email protected]". No communications are sent to this address [Max Length: 255 characters]

string

The primary contact number for the Customer. [Max Length: 50 characters]

string

The secondary contact number for the customer. [Max Length: 50 characters]

int32

The Parent ID relates to the Stax Bill hierarchy feature. If hierarchy is enabled, this is the id of the parent customer.​ ustomer id of a parent in a hierarchy. Parent must already be active before linking.

customerReference
object

This is a collection of key-value pairs. Each can be used to store additional data related to this Customer including sales tracking codes.

customerAcquisition
object

This is a collection of Strings. Each can be used to store different details about how this Customer was acquired. Generally, this is used to store marketing channel information.

float

The lifetime value of the customer. Typically set to a negative number representing the on-boarding cost of the customer. As the customer pays charges over time, this will increase and thus show how much the customer has contributed to revenue.

billingSetting
object

Customer billing settings.

monthlyBillingPeriodConfiguration
object

Monthly billing period definition for the customer.

yearlyBillingPeriodConfiguration
object

Annual billing period definition for the customer.

string

The Salesforce Account Id associated with this Customer. Can be left blank, If blank and salesforceSynchStatus is Enabled, then a new customer account in Salesforce will be created and linked to this customer. If enabled and provided, it must be a valid Salesforce Account ID or customer creation will fail. More information on the Salesforce integration.

string
enum

This will dictate how the Salesforce account name will be created. Your options are: 1)"Company" where the company name and Stax Bill ID will be combined and used as the account name 2)"Person" where the first and last names will be combined to populate the account name field. 3) Null, the (Stax Bill) account level default will be used. Defines whether to use B2C or B2B behaviors when linking to or creating Salesforce accounts. Notably whether to use the companyName or a combination of firstName lastName as a new Salesforce Account name.

Allowed:
string
enum

This setting controls if the account will synchronize the Stax Bill customer with Salesforce. Turn on or off interacting with salesforce for this customer. If Enabled then the salesforceId will be used or a new salesforce customer account will be created and linked. If Disabled then no Salesforce customer account will be created.

Allowed:
string

If you are using a Netsuite integration this is the number which uniquely identifies the customer in Netsuite.

string
enum

This setting controls if the account will synchronize the Stax Bill customer with NetSuite.

Allowed:
int32

The name ID of this customer in QuickBooks Online. For the QuickBooks Online plugin.

string
enum

Indicates how Stax Bill is handling latching for this customer object and the possible corresponding customer in QuickBooks Online. This is for the QuickBooks Online plugin.

Allowed:
int32

The ID of a contact in HubSpot.

hubspot
object

An object containing two boolean flags for creating a contact and company in the hubspot integration.

int32

The ID of a company in HubSpot.

string

The Geotab Reseller Customer ID to be associated with this Stax Bill customer entity [Max Length: 255 characters]

int32

The avalara ID of the customer in our Avalara Direct Taxation module.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json